Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.joinpoint
Interface Invocation

All Known Implementing Classes:
  InvocationBase

public interface Invocation

Comment

Version:
  $Revision: 1.17 $
Author:
  Bill Burke

Method Summary
`void` | `addResponseAttachment(Object key, Object val)`
`Invocation` | `copy()` Copies complete state of Invocation object so that it could possibly be reused in a spawned thread.
`Advisor` | `getAdvisor()`
`Interceptor[]` | `getInterceptors()`
`SimpleMetaData` | `getMetaData()` Return all the contextual untyped data attached to this invocation
`Object` | `getMetaData(Object group, Object attr)` This method resolves untyped metadata based on the context of the invocation.
`Object` | `getResponseAttachment(Object key)`
`Map` | `getResponseContextInfo()`
`Object` | `getTargetObject()`
`Invocation` | `getWrapper(Interceptor[] newchain)` Get a wrapper invocation object that can insert a new chain of interceptors at runtime to the invocation flow.
`Object` | `invokeNext()` Invoke on the next interceptor in the chain.
`Object` | `invokeNext(Interceptor[] newInterceptors)` Invoke on the next interceptor in the chain.
`Object` | `resolveAnnotation(Class annotation)` Abstraction for resolving an annotation so that it can be overriden from the Method, Constructor, Field, etc.
`Object` | `resolveAnnotation(Class[] annotations)` Abstraction for resolving an annotation so that it can be overriden from the Method, Constructor, Field, etc.
`Object` | `resolveClassAnnotation(Class annotation)` Abstraction for resolving an annotation so that it can be overriden from the Class
`Object` | `resolveClassMetaData(Object key, Object attr)` Resolve class level untyped metadata based on a key and the attribute of the key
`void` | `setMetaData(SimpleMetaData data)` Set all the contextual untyped data attached to this invocation
`void` | `setResponseContextInfo(Map responseContextInfo)`
`void` | `setTargetObject(Object targetObject)`

Method Detail

### getResponseContextInfo

    public Map getResponseContextInfo()

### setResponseContextInfo

    public void setResponseContextInfo(Map responseContextInfo)

### addResponseAttachment

    public void addResponseAttachment(Object key,
                                      Object val)

### getResponseAttachment

    public Object getResponseAttachment(Object key)

### getMetaData

    public SimpleMetaData getMetaData()

  Return all the contextual untyped data attached to this invocation

### setMetaData

    public void setMetaData(SimpleMetaData data)

  Set all the contextual untyped data attached to this invocation

### resolveClassMetaData

    public Object resolveClassMetaData(Object key,
                                       Object attr)

  Resolve class level untyped metadata based on a key and the attribute of the key

  Parameters:
    `key` -
    `attr` -
  Returns:

### resolveClassAnnotation

    public Object resolveClassAnnotation(Class annotation)

  Abstraction for resolving an annotation so that it can be overriden from the Class

  Parameters:
    `annotation` -
  Returns:

### resolveAnnotation

    public Object resolveAnnotation(Class annotation)

  Abstraction for resolving an annotation so that it can be overriden from the Method, Constructor, Field, etc.

  Parameters:
    `annotation` -
  Returns:

### resolveAnnotation

    public Object resolveAnnotation(Class[] annotations)

  Abstraction for resolving an annotation so that it can be overriden from the Method, Constructor, Field, etc.

  Parameters:
    `annotations` -
  Returns:

### invokeNext

    public Object invokeNext()
                      throws Throwable

  Invoke on the next interceptor in the chain. If this is already the end of the chain, reflection will call the constructor, field, or method you are invoking on.

  Throws:
    `Throwable`

### invokeNext

    public Object invokeNext(Interceptor[] newInterceptors)
                      throws Throwable

  Invoke on the next interceptor in the chain. If this is already the end of the chain, reflection will call the constructor, field, or method you are invoking on.

  The Invocation will use a new set of interceptors to do the invocation

  Throws:
    `Throwable`

### getInterceptors

    public Interceptor[] getInterceptors()

### getMetaData

    public Object getMetaData(Object group,
                              Object attr)

  This method resolves untyped metadata based on the context of the invocation. It iterates through its list of MetaDataResolvers to find out the value of the metadata desired.

  This list usually is ThreadMetaData, InstanceAdvisor.getMetaData ClassAdvisor.getMethodMetaData (or field, or constructor) ClassAdvisor.getDefaultMetaData

### getTargetObject

    public Object getTargetObject()

### setTargetObject

    public void setTargetObject(Object targetObject)

### getWrapper

    public Invocation getWrapper(Interceptor[] newchain)

  Get a wrapper invocation object that can insert a new chain of interceptors at runtime to the invocation flow. CFlow makes use of this. When the wrapper object finishes its invocation chain it delegates back to the wrapped invocation.

  Parameters:
    `newchain` -
  Returns:

### copy

    public Invocation copy()

  Copies complete state of Invocation object so that it could possibly be reused in a spawned thread.

  Returns:

### getAdvisor

    public Advisor getAdvisor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.